import argparse
import sys

from org import Org

def argparser(subparsers):
    parser_dump = subparsers.add_parser('dump')
    parser_dump.add_argument('-f', '--file',
                             dest='filename',
                             required=True,
                             type=argparse.FileType('r'),
                             help='Org file to process')
    parser_dump.add_argument('-o', '--output',
                             dest='output',
                             type=argparse.FileType('w'),
                             default=sys.stdout,
                             help='Output file')
    parser_dump.set_defaults(func=dump)


def dump(conf, args):
    o = Org(loadfile=args.filename)
    
    o.dump(args.output)

